/* ==========================================================================
   1. Form Elements - Base
   ========================================================================== */

.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 2.4rem;
}

.pf-c-input-group {
    display: block;
}

.pf-c-form-control {
    border-color: #8A8A8A;
    border-radius: 0.8rem;
    font-size: 1.4rem;
    height: 3.8rem !important;
    padding: 0.8rem 0.8rem 0.8rem 1.6rem;
}

.pf-c-form-control[aria-invalid=true] {
    background-image: none;
    border-width: .1rem;
    padding: 0.8rem 0.8rem 0.8rem 1.6rem;
}

.pf-c-form-control:hover {
    border-color: #2580db;
    border-width: .1rem;
    padding: 0.8rem 0.8rem 0.8rem 1.6rem;
}

.pf-c-form-control:focus {
    border-color: #2580db;
    border-width: .2rem;
    padding: 0.7rem 0.7rem 0.7rem 1.5rem;
}

.pf-c-button:after {
    border: none;
}

/* ==========================================================================
   2. Primary Button
   ========================================================================== */

.pf-m-primary {
    background-color: #2D7048 !important;
    border: #2D7048 solid .2rem;
    border-radius: 0.8rem;
    font-size: 1.6rem;
    font-weight: 600;
    height: 3.8rem;
    margin-top: 1rem;
    padding: 0;
}

.pf-m-primary:hover {
    background-color: #23663E !important;
}

.pf-m-primary:active {
    background-color: #193E34 !important;
}

.pf-m-primary:focus {
    outline: .2rem solid #2580db;
    outline-offset: .2rem;
}

/* ==========================================================================
   3. Password Input & Toggle
   ========================================================================== */

.pf-c-input-group button {
    background-color: transparent !important;
    color: #8A8A8A !important;
    float: right;
    font-size: 100%;
    height: 3.8rem;
    margin: -3.8rem 0 0 0;
}

.pf-c-input-group button:focus {
    border-radius: 0.8rem;
}

/* ==========================================================================
   4. Checkbox
   ========================================================================== */

.checkbox {
    display: inline-flex;
    font-stretch: 100%;
    border: transparent solid .2rem;
    padding: 0.7rem 0.7rem 0.7rem 1.5rem;
    margin: 0;
}

.checkbox:focus-within {
    border-color: #2580db;
}

.checkbox input {
    -webkit-appearance: none;
    appearance: none;
    border-radius: 0.4rem;
    box-shadow: #8A8A8A 0 0 0 0.1rem inset;
    cursor: pointer;
    height: 1.6rem;
    left: 0.1rem;
    margin: 0.2rem 0 0 0 !important;
    width: 1.6rem;
}

.checkbox input:focus {
    outline: none;
}

.checkbox input:checked {
    background-color: #1482CC;
    box-shadow: none;
}

.checkbox input:checked::after {
    content: "";
    border-color: #FFFFFF;
    border-style: solid;
    border-width: 0 .3rem .3rem 0;
    height: 1rem;
    left: 0.55rem;
    position: absolute;
    top: 0.3rem;
    width: 0.5rem;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}

.checkbox label {
    padding: 0 0 0 .7rem;
    margin: 0;
    min-height: 0;
    user-select: none;
    -webkit-user-select: none;
}

/* ==========================================================================
   5. Settings
   ========================================================================== */

.login-pf-settings {
    display: flex;
    flex-direction: row;
    margin-bottom: 0 !important;
}

.login-pf-settings span a {
    color: #116FAE;
    float: right;
    border: transparent solid .2rem;
    padding: 0.7rem 0.7rem 0.7rem 1.5rem;
}

.login-pf-settings span a:focus {
    border-color: #2580db;
}